Вопрос Как установить Adobe Flash Player?


У меня были серьезные проблемы с просмотром флеш-видео в 64-битном Ubuntu. Кто-нибудь знает, как получить флеш-память на платформе?


101
2017-07-28 19:27


происхождения


@Braiam - этот вопрос и ответы устарели. Редактировать заголовок вопроса необходимо, чтобы указать, что он ограничен более старыми версиями ubuntu - cipricus
@cipricus ответы должны быть обновлены. Вопрос, поскольку он полностью действителен (через неясность) и не устарел, так как люди будут спрашивать, как установить flash так долго, как Adobe Flash Player. - Braiam
@Braiam - я понимаю ваш вопрос, но более старый вопрос, подобный этому на ubuntu 11 или 12 с окончательным высоким голосованием ответа той же эпохи, вряд ли получит новые ответы. было бы полезно, на мой взгляд, изменить заголовок, чтобы ограничить вопрос до v.11-12 системы, чтобы кто-то другой мог запросить новую в новых системах и новые обстоятельства, связанные со вспышкой, не рискуя дублировать - cipricus
@cipricus No. Вот для чего нужны награды: Текущие ответы устарели Текущий ответ (ы) устарел и требует пересмотра с учетом последних изменений. Если вы чувствуете, что ответы устарели, просто предложите щедрость. В каждом ответе есть заголовок, в котором говорится, какие версии применяются. Через, как я уже говорил, flash зависит от браузера, и OP не указал, какой браузер он использует. - Braiam


ответы:


Для 11.04 и ранее:

Вы устанавливаете его из Ubuntu Software Center?

  1. Зайдите в «Приложения-> Ubuntu Software Center».
  2. Нажмите на Canonical Partners
  3. Нажмите Adobe Flash Plugin 11 и нажмите «Установить».

Заметка: это метод, который я использую в своей 64-битной установке Ubuntu, но это еще не подвело меня.

enter image description here


81
2017-07-28 19:31



То же самое: установленный по умолчанию (но запатентованный) 64-битный плагин, и у меня нет проблем. - Little Jawa


За 11.10 и более поздние

Запустите Software Center из Launcher и выполните поиск вспышка 

Будут найдены две записи. Первый - это обертка вокруг 32-битной флеш-версии от Adobe. Вторая версия - 64-битная флеш-версия.

Выберите вторую запись вспышки - если отображается следующее изображение, вы ранее не включили репозиторий Canonical Partner.

enter image description here

Нажмите Больше информации

enter image description here

... и нажмите Использовать этот источник для включения репозитория Canonical Partner

enter image description here

см. конец этого ответа для отчета об ошибке

Нажмите устанавливать 

enter image description here

Нажмите устанавливать и введите пароль при появлении запроса. Примечание. У вас должно быть разрешение на установку программного обеспечения.

enter image description here

Установка будет продолжаться:

enter image description here

После завершения - запустите Firefox и перейдите к своему Flash-видео. Щелкните правой кнопкой мыши и убедитесь, что установлена ​​последняя версия Flash.

enter image description here

Примечание - изображения могут быть изменены - 64-битная версия была недавно упакована за последнюю неделю до выпуска Oneiric. В настоящее время существует одна проблема:

  1. https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/870835

В промежутке - либо используйте первый 32-битный плагин Multiverse на приведенных выше рисунках, либо используйте adobe-flashplugin

sudo apt-get install adobe-flashplugin

68
2017-10-09 22:52



Две вещи: во-первых, число в скобках - это число отзывы, а не рейтинг (как вы можете видеть, тот, который вы выбрали, нижечем другой). Во-вторых, я бы использовал другой, который представляет собой 64-битную сборку, а не 32-разрядную оболочку совместимости. - RAOF
Поскольку я всегда стараюсь быть максимально ленивым, я всегда устанавливаю пакет убунт-ограниченный экстры который является мета-пакетом, включает в себя flash-плеер adobe среди других полезных вещей. Эта возможность существовала с более ранними версиями ubuntu и все еще работает плавно с 11.10. - Ewald
Является ли ошибка 870835 по-прежнему действительной или все это исправлено сейчас, то есть я сохраняю свой Ubuntu 12.04 x64 updated = У меня есть последний 64-битный Flash-плеер, а не 32-битный? - Bucic
Как проверить, есть ли у меня 64-разрядный Ubuntu? - Samir
Текущая версия 13.04 альфа не имеет adobe-flashplugin пакет в каноническом репозитории. Возможно, связано с это? Существует еще flashplugin-installer пакет. - Lekensteyn


Вот как установить Adobe Flash Plugin для Firefox:

  1. Идти к это и выберите опцию .tar.gz для другой Linux. Загрузите файл.
  2. Распакуйте плагин tar.gz и скопируйте файлы в соответствующее место.
  3. Сохраните плагин tar.gz локально и обратите внимание на местоположение, в которое был сохранен файл.
  4. Запустите терминал и смените каталоги на место, в которое был сохранен файл.
  5. Распакуйте файл tar.gz. После распаковки вы увидите следующее:

    • libflashplayer.so
    • / USR
  6. Определите местоположение каталога плагинов браузера на основе вашего дистрибутива Linux и версии Firefox. (Обычно это /usr/lib/mozilla/plugins/)
    Для ubuntu 14.04 путь: /usr/lib/firefox/browser/plugins 

  7. копия libflashplayer.so в соответствующий каталог плагинов браузера. В командной строке введите:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Скопируйте файлы конфигурации локальных настроек Flash Player в каталог / usr. В командной строке введите:

    sudo cp -r usr/* /usr
    
  9. Теперь перезагрузите браузер.


31
2017-09-04 16:36



был установлен программный менеджер, но ваш метод, наконец, заставил его работать, спасибо - dhaval
Вы имели в виду скопировать папку usr в новый каталог flash player в / usr или скопировать содержимое этой папки в / usr? - It's Willem
Также есть файл README, который сообщает вам, как это сделать. Он находится в файле .tar.gz. - It's Willem
Я пошел по твоему пути, теперь у меня есть последняя версия флеш-плеера, но видео на YouTube все еще не открывается - developer
@developer Большинство видеороликов Youtube можно воспроизводить, даже не устанавливая Flash (youtube.com/html5). Я не уверен, что ваши видео не воспроизводятся из-за Flash или по какой-то другой причине. Вы перезапустили свой браузер? - ignite


Поскольку вы заявили, что это первый раз, когда вы когда-либо использовали ubuntu. я бы предположил, что вы устанавливаете пакет ubuntu-limited-extras, это включает в себя множество полезных вещей, таких как flash-флеш-память, кодеки и шрифты MS и т. д.

вы можете сделать это разными способами.

программный центр: Нажмите на эту ссылку:

Install via the software center

или в терминале: тип sudo apt-get install ubuntu-restricted-extras

synaptic: поиск пакета ubuntu-limited-extras щелкните правой кнопкой мыши пакет и выберите установку, а затем выберите отметку. после нажатия кнопки «Применить», и все будет установлено.


21
2018-04-02 14:02



будет ли он установить лучший Flash Player для моей системы или есть лучшие версии? Будет ли он устанавливать 64-битную версию? - Bucic


Для решения этой проблемы существует простое решение.

Откройте свой Fire Fox и перейти к YouTube, Нажмите на любое видео. Определенно это не будет играть, потому что у вас нет установленного flash-плеера. Но Firefox поможет вам install missing plug-in на вершине. Просто нажмите на нее и выполните процедуру. После этого начнется воспроизведение вашего видео. Убедитесь, что у вас есть последние Fire Fox браузера.

Или попробуйте это в своем терминале

sudo apt-get install flashplugin-installer

13
2017-09-04 16:38



это sudo apt-get install flashplugin-installer отлично работает для меня - leticia


Получи мой Флэш-Aid расширение для Firefox. Он позаботится о загрузке и установке соответствующей версии вашей системной архитектуры, а также удалит конфликтующие плагины. Если вы находитесь на 64-битной версии, она также позволяет установить 64-битную версию предварительного просмотра, которая дает лучшие результаты, чем 32-разрядный с nspluginwrapper.

BTW, если вы не можете скопировать что-либо в папку ~ / .mozilla / plugins, тогда вы должны проверить право собственности на папку ~ / .mozilla. Это должно позволить копировать что-нибудь там. Если, конечно, вы не обращаетесь к системной папке вне вашего домашнего каталога, которая требует прав root.


5
2017-12-02 12:40



Спасибо!!! Эти ответы должны быть на вершине для 12.10 - Pramod
flash-помощь была удалена его автором - BЈовић
Положите это обратно ... pls - It's Willem
Плохо, что он был удален! ... - Cristiana Nicolae


Это зависит от того, какой браузер вы используете. Google Chrome (не Chromium) по умолчанию имеет Flash-плеер.

Перейдите на сайт www.google.com/chrome и нажмите кнопку «Загрузить». Chrome. Выберите 64-разрядный .deb (любой, кто читает это, используя 32-битные машины, должен выбрать 32-разрядный .deb)

Когда вы нажмете на файл .deb, когда он будет загружен, он откроется в Центре программного обеспечения. Теперь нажмите «Установить», и по завершении поиска вы можете найти браузер в Приложениях -> Интернет.


4
2018-04-02 20:00





Используйте программный центр Ubuntu (в меню «Приложения»). В поле ввода текста (в поле поиска) вы можете выполнить поиск «flash», и в результате будет заполнен один плагин Adobe Flash (обратите внимание на логотип Adobe). Выберите это и следуйте указаниям по использованию источника.


2
2017-12-01 19:14





Дважды проверьте, какой каталог «плагин» используется. Пришлось провести хороший час один раз, просто вспахивая все каталоги плагинов, пока не найду те, которые мои firefox действительно читали, а затем ln -sвсе они указывали на общий.

В конце дня вы можете сбросить его в неправильном месте.

Также запустите firefox из командной строки, вы можете увидеть ошибки. Например, работает x86-флеш-плеер в браузере x64 (не os) и наоборот. Из командной строки (%> firefox) вы должны увидеть строки журнала инициализации плагина. (возможно, сначала попробуйте это: P)

Также ничего в /usr/lib/... принадлежит root, поэтому вам придется sudo cp libflashplayer.so /usr/lib/firefox/plugin где .../firefox/plugin указывает на расположение каталога плагинов firefox.


2
2017-12-01 19:51



Выяснить, какой плагин фактически использует ваши процессы: sudo lsof | grep libflashplayer - arielf


Определенное исправление для 64-битной вспышки 11.10

Я исправил 64-битную Flash на своих системах 11.10 без каких-либо оберток. Если вы будете следовать упомянутым выше решениям, вы все равно получите 32-битную версию и обертки.

Примечание: большую часть этого можно сделать и в терминале, в этом случае вам не нужно устанавливать Synaptic. Кроме того, возможно, что достаточно выполнить шаги 5, 6 и 8, но я еще не тестировал это.

  1. Установка Synaptic (Центр программного обеспечения не отображает требуемый пакет, а не основные элементы и не входит в технические элементы и даже после его установки)
  2. Запустите Synaptic и найдите 'flash'
  3. Сортировка по установленному состоянию
  4. Удалите все связанные со вспышкой пакеты (такие как flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common и т. Д.). Если в списке ничего нет, у вас, вероятно, нет установленной Flash. В этом случае просто переходите к следующему шагу.
  5. Включите канонический партнерский репозиторий (см. Выше сообщения о том, как это сделать)
  6. Обновите список пакетов (не считайте, что Software Center сделает это за вас, иногда это не так), нажав кнопку «Обновить» в
  7. Ищите «вспышку» снова
  8. Установите пакет «adobe-flashplugin». Если этого нет в списке, что-то пошло не так с обновлением списков пакетов. Попробуйте выйти из системы и перезапустить Synapic, затем нажмите «Обновить».

Один дополнительный пакет «adobe-flash-properties-gtk» будет установлен автоматически. Больше ничего.

Теперь у вас будет полная 64-битная Flash без каких-либо оберток и другого мусора в Firefox и Chromium. Однако требуется перезапуск вашего браузера. Если он все еще не работает, попробуйте перезагрузиться (там может быть какая-то фиктивная ссылка на старые плагины).


2
2017-11-12 12:18